CONTOUR_CREATE_SEQUENCE(3)

EXPERIMENTAL_FUNC
contour_create_sequence - Create a sequence of contour images from a 3D slice.

SYNOPSIS
#include <karma_contour.h>

KContourImage * contour_create_sequence

(multi_array *multi_desc, array_desc *arr_desc, char *cube, unsigned int hdim, unsigned int vdim, unsigned int fdim, unsigned int elem_index, KContourImageGroup group)

DESCRIPTION
This routine will create a sequence of contour image objects from a 3-dimensional cube of a Karma data structure. At a later time, this sequence of contour images may be used to create a sequence of viewable contour images.

multi_desc
    The multi_array descriptor which contains the Karma data structure. The routine increments the attachment count on the descriptor on successful completion. This may be NULL.

arr_desc
    The array descriptor.

cube
    The start of the cube data.

hdim
    The dimension index of the horizontal dimension.

vdim
    The dimension index of the vertical dimension.

fdim
    The dimension index of the frame dimension (dimension containing the sequence). The number of frames is the same as the length of this dimension.

elem_index
    The element index in the data packets.

group
    The KContourImageGroup to add the new objects too. If NULL, it is not added to any group.

RETURN VALUE
A pointer to a dynamically allocated array of contour image objects on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/